﻿Type=Class
Version=2.22
@EndOfDesignText@
'Class Module: Controls
'Uses Core, Reflection & Phone Libraries
'Author: Margret
'Version: 1.0
'Modified: 11/19/2012
Private Sub Class_Globals
	Private p As Phone
	Private r As Reflector
	Private mAct As Activity
	Private MyMe As Object
	Private myType As Int
End Sub
'Requires ICS and SDK 14 or greater
'Initialize like: Initialize(Activity, Me)
Public Sub Initialize(MyActivity As Activity, Me_ As Object)
	mAct = MyActivity
	MyMe = Me_
	myType = 1024
End Sub
Private Sub SetNavBtns(pView As View, pMode As Int)
	If p.SdkVersion >= 14 Then
		Dim r As Reflector
		Dim l As LayoutValues
		l = GetDeviceLayoutValues
		r.Target = pView
		r.RunMethod2("setSystemUiVisibility", pMode, "java.lang.int")
		r.Target = r.GetActivity
		r.Target = r.RunMethod("getWindow")
		r.RunMethod4("setFlags", Array As Object(myType, 1024), Array As String("java.lang.int", "java.lang.int"))
		DoEvents
	Else
		'Msgbox("Requires SDK 14 or Greater", "NOTICE")
	End If
End Sub
'Turns OFF the Navigation Bar at bottom of ICS
Sub NavBarOff
	myType = 1024 : SetNavBtns(mAct, 1)	'Dim controls Set Full Screen Mode
End Sub
'Turns ON the Navigation Bar at bottom of ICS
Sub NavBarOn
	myType = 1024 : SetNavBtns(mAct, 0)	'Show Controls
End Sub
'Turns OFF the ActionBar at the top of screen in ICS
'Increases the screen size
Sub ActionBarOff
	myType = 1024 : SetNavBtns(mAct, 1)	'Turn Off Action Bar
End Sub
'Turns ON the ActionBar at the top of screen in ICS
'Decreases the screen size
Sub ActionBarOn
	myType = 0 : SetNavBtns(mAct, 2)	'Show Action Bar
End Sub